<?php

/**
 * @package PMI mod
 * SMFHispano.net
 */

/*
 * The Original Code is http://www.marcusforsberg.net/ code.
 *
 * The Initial Developer of the Original Code is
 * Marcus Forsberg <http://www.marcusforsberg.net>.
 * Portions created by the Initial Developer are Copyright (C)
 * the Initial Developer. All Rights Reserved.
 */

if (!defined('SMF'))
	die('Hacking attempt...');
	
	loadlanguage('Modifications');

	function PMI_settings(&$config_vars)
	{
		global $txt;

		$config_vars[] = $txt['pmi_style'];
		$config_vars[] = array('select', 'pmi_style', array(
				'infopmi' => '1',
				'warningpmi' => '2',
				'tippmi' => '3',
				'errorpmi' => '4',
				'securepmi' => '5',
				'successpmi' => '6',));
		$config_vars[] = '';
	}

	//A fancy mod. :P PM Informer...
function loadPmInformer()
{
	global $scripturl, $db_prefix, $context, $user_info, $smcFunc;

	//Gimme the newest pm, if we have.
	if(!empty($user_info['unread_messages'])) {
		$request = $smcFunc['db_query']('', '
			SELECT
				pm.id_pm, pm.id_member_from, pm.from_name, pm.msgtime, pm.subject, pm.body, m.real_name
			FROM {db_prefix}personal_messages AS pm
				LEFT JOIN {db_prefix}pm_recipients AS pmr ON (pmr.id_pm = pm.id_pm)
				LEFT JOIN {db_prefix}members AS m ON (pm.id_member_from = m.id_member)
			WHERE pmr.is_new = 1 AND pmr.id_member = {int:current_member}
			ORDER BY pm.msgtime DESC
			LIMIT 1',
			array(
				'current_member' => $user_info['id'],
			)
		);
		$context['pm_informer'] = array();
		while ($row = $smcFunc['db_fetch_assoc']($request))
		{
			//You can't be so looongggg. He he. :)
			if ($smcFunc['strlen']($row['body']) > 250)
				$row['body'] = $smcFunc['substr']($row['body'], 0, 250) . '<a href="' . $scripturl . '?action=pm#msg' . $row['id_pm'] . '">...</a>';

			// Build the array.
			$context['pm_informer'] = array(
				'from' => $row['id_member_from'],
				'sender' => $row['real_name'],
				'msgtime' => timeformat($row['msgtime'], false),
				'subject' => $row['subject'],
				'body' => parse_bbc($row['body']),
			);
		}
		$smcFunc['db_free_result']($request);
	}
}

	function PMI_headers()
	{
		global $modSettings, $settings, $context, $txt;

		$return = '';

		/* Only show this sutff if we are on a message page or the profile */
			$return = '
<script>!window.jQuery && document.write(unescape(\'%3Cscript src="https://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"%3E%3C/script%3E\'))</script>
<script type="text/javascript">
	$(document).ready(function() {
			
			var infoText_slideDown = "' . $txt['pmi_last']. '"; //Change Text for slide down!
			var infoText_slideUp = "' . $txt['pmi_hide'] . '"; //Change Text for slide up!
			
			$(\'.notification em\').text(infoText_slideDown);
	
			$(\'.notification span\').hover(function() {
 				$(this).css(\'cursor\',\'pointer\');
 			}, function() {
 					$(this).css(\'cursor\',\'auto\');
				});
			
			$(\'.notification span\').click(function() {
                $(\'.notification-wrap\').fadeOut(800);
            });
			
			$(\'.notification em\').click(function(){
				if ($(".descriptionbox").is(":hidden")) {
					$(".descriptionbox").slideDown("slow", function() {
    					$(\'.notification em\').text(infoText_slideUp); 

  					});
				} else {
					$(\'.notification em\').text(infoText_slideDown);
					$(".descriptionbox").slideUp("slow");
				}
			});
			
});
</script>
<style type="text/css">
/*NOTIFICATION BOX - WITH DESCRIPTION */

.notification-wrap {
	width: 580px;
	margin-bottom: 30px;
	margin: 0 auto;
}

.notification-wrap .notification {
	min-height: 70px;
	display: block;
	position: relative;
	
	/*Border Radius*/
	border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;	
	
	/*Box Shadow*/
	-moz-box-shadow: 2px 2px 2px #cfcfcf;
	-webkit-box-shadow: 2px 2px 4px #cfcfcf;
	box-shadow: 2px 2px 2px #cfcfcf;
	
	margin:0px;
	z-index: 1;
}

.notification-wrap .notification span {
	background: url('. $settings['default_theme_url'] .'/images/pmi/close.png) no-repeat right top;
	display: block;
	width: 19px;
	height: 19px;
	position: absolute;
	top:-9px;
	right: -8px;
}

.notification-wrap .notification .text { overflow: hidden; }

.notification-wrap .notification p {
	width: 500px;	
	font-family: Arial, Helvetica, sans-serif;
	color: #323232;
	font-size: 14px;
	line-height: 21px;
	text-align: justify;
	float: right;
	margin-right: 15px;
	margin-bottom: 0px;
	*margin-top: 15px; /*for lt IE8*/
	
	/* TEXT SHADOW */
	 text-shadow: 0px 0px 1px #f9f9f9;
}

.notification-wrap .notification em {
	float: right;
	margin: 5px 15px 5px 0px;
	font-family: "Lucida Grande", Arial, Helvetica, sans-serif;
	font-size: 11px;
	font-weight: bold;
	color: #323232;
}

.notification-wrap .notification em:hover { text-decoration: underline; }

.notification-wrap .descriptionbox {
	position: relative;
	width: 490px;
	margin: auto;
	display: none;
	
	/*Background Gradients*/
	background: #f0f0f0;
	background: -moz-linear-gradient(top,#f7f7f7,#f0f0f0);
	background: -webkit-gradient(linear, left top, left bottom, from(#f7f7f7), to(#f0f0f0));
	
	/*Border Radius*/
	-webkit-border-bottom-right-radius: 5px;
	-webkit-border-bottom-left-radius: 5px;
	-moz-border-radius-bottomright: 5px;
	-moz-border-radius-bottomleft: 5px;
	border-bottom-right-radius: 5px;
	border-bottom-left-radius: 5px;
	
	/*Box Shadow*/
	-moz-box-shadow: 2px 2px 2px #cfcfcf;
	-webkit-box-shadow: 2px 2px 4px #cfcfcf;
	box-shadow: 2px 2px 2px #cfcfcf;
}

.notification-wrap .descriptionbox p {
	margin: 0px;
	padding: 15px;
	font-family: "Lucida Grande", Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #999;
	line-height: 18px;
	text-align: justify;
	
	/* TEXT SHADOW */
	 text-shadow: 0px 0px 1px #fff;
}

.notification-wrap .descriptionbox span {
	display: block;
	width: 19px;
	height: 19px;
	position: absolute;
	bottom:-9px;
	right: -8px;
	background-image: url('. $settings['default_theme_url'] .'/images/pmi/open-close.png);
	background-repeat: no-repeat;
}

.btn-desc {	background-position: left; }

.close { background-position: right; }


/*SUCCESS BOX*/

.successpmi {
	border-top: 1px solid #edf7d0;
	border-bottom: 1px solid #b7e789;
	
	/*Background Gradients*/
	background: #dff3a8;
	background: -moz-linear-gradient(top,#dff3a8,#c4fb92);
	background: -webkit-gradient(linear, left top, left bottom, from(#dff3a8), to(#c4fb92));
}

.successpmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/success.png);
	float: left;
	margin: 23px 15px 0px 15px;
}

.successpmi strong {
	color: #61b316;
	margin-right: 15px;
}


/*WARNING BOX*/

.warningpmi {
	border-top: 1px solid #fefbcd;
	border-bottom: 1px solid #e6e837;
	
	/*Background Gradients*/
	background: #feffb1;
	background: -moz-linear-gradient(top,#feffb1,#f0f17f);
	background: -webkit-gradient(linear, left top, left bottom, from(#feffb1), to(#f0f17f));
}

.warningpmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/warning.png);
	float: left;
	margin: 15px 15px 0px 25px;
}

.warningpmi strong {
	color: #e5ac00;
	margin-right: 15px;
}


/*QUICK TIP BOX*/

.tippmi {
	border-top: 1px solid #fbe4ae;
	border-bottom: 1px solid #d9a87d;
	
	/*Background Gradients*/
	background: #f9d9a1;
	background: -moz-linear-gradient(top,#f9d9a1,#eabc7a);
	background: -webkit-gradient(linear, left top, left bottom, from(#f9d9a1), to(#eabc7a));
}

.tippmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/tip.png);
	float: left;
	margin: 20px 15px 0px 15px;
}

.tippmi strong {
	color: #b26b17;
	margin-right: 15px;
}


/*EpmiOR BOX*/

.errorpmi {
	border-top: 1px solid #f7d0d0;
	border-bottom: 1px solid #c87676;
	
	/*Background Gradients*/
	background: #f3c7c7;
	background: -moz-linear-gradient(top,#f3c7c7,#eea2a2);
	background: -webkit-gradient(linear, left top, left bottom, from(#f3c7c7), to(#eea2a2));
}

.errorpmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/error.png);
	float: left;
	margin: 20px 15px 0px 15px;
}

.errorpmi strong {
	color: #b31616;
	margin-right: 15px;
}


/*SECURE AREA BOX*/

.securepmi {
	border-top: 1px solid #efe0fe;
	border-bottom: 1px solid #d3bee9;
	
	/*Background Gradients*/
	background: #e5cefe;
	background: -moz-linear-gradient(top,#e5cefe,#e4bef9);
	background: -webkit-gradient(linear, left top, left bottom, from(#e5cefe), to(#e4bef9));
}

.securepmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/secure.png);
	float: left;
	margin: 18px 15px 0px 15px;
}

.securepmi strong {
	color: #6417b2;
	margin-right: 15px;
}

/*INFO BOX*/

.infopmi {
	border-top: 1px solid #f3fbff;
	border-bottom: 1px solid #bedae9;
	
	/*Background Gradients*/
	background: #e0f4ff;
	background: -moz-linear-gradient(top,#e0f4ff,#d4e6f0);
	background: -webkit-gradient(linear, left top, left bottom, from(#e0f4ff), to(#d4e6f0));
}

.infopmi:before {
	content: url('. $settings['default_theme_url'] .'/images/pmi/info.png);
	float: left;
	margin: 18px 15px 0px 21px;
}
</style>
';
		return $return;
	}
	
	// And now show the pm informer
function show_pmi()
{
	global $modSettings, $settings, $context, $txt, $scripturl;
	
	//Do we have some new pms? Show the newest.
	if(!empty($context['user']['unread_messages']) && !empty($context['pm_informer'])) 
	{
	echo '
			<br class="clear" /><div class="notification-wrap">
        <div class="notification ', empty($modSettings['pmi_style']) ? 'infopmi' : '' . $modSettings['pmi_style'] . '', '">
        	<span></span>
        	<div class="text">
        		<p><strong>', $txt['pmi_attention'], '</strong>&nbsp;'; printf($txt['pmi_title'], $context['user']['unread_messages']); echo '</a></p>
        	<em></em>	
        	</div>
    	</div>
        <div class="descriptionbox">
            <p><strong>', $txt['from'], ':</strong> <a href="' . $scripturl . '?action=profile;u=', $context['pm_informer']['from'], '">', $context['pm_informer']['sender'], '</a><br />
				<strong>', $txt['subject'], ':</strong> ', $context['pm_informer']['subject'], '<br />
				<strong>', $txt['date'], ':</strong> ', $context['pm_informer']['msgtime'], '<br />
				<strong>', $txt['message'], ':</strong> ', $context['pm_informer']['body'], '<br />
				<a href="' . $scripturl . '?action=pm">', $txt['pmi_view_all'], '</a>
			</p>
        </div>
    </div>
	<br class="clear" />';
	}
}

	/* DUH! WINNING! */
	function PMI_Who()
	{
		$SH = '<a href="http://smfhispano.net">PM Informer by SMF Hispano &copy;</a>';

		return $SH;
	}